package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.mark.bean.answerbatch.AnswerDomain;
import com.qmth.teachcloud.mark.bean.answerbatch.AnswerSaveVo;
import com.qmth.teachcloud.mark.bean.answerbatch.BatchCreateDomain;
import com.qmth.teachcloud.mark.bean.answerbatch.BatchCreateVo;
import com.qmth.teachcloud.mark.bean.answerbatch.BatchFinishVo;
import com.qmth.teachcloud.mark.entity.ScanBatch;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanBatchService extends IService<ScanBatch> {

	BatchCreateVo batchCreate(BatchCreateDomain domain,SysUser sysUser);

	BatchFinishVo batchFinish(Long id);

	AnswerSaveVo batchSave(AnswerDomain domain, SysUser user);

	void updateAssignedCount(Long id);

	void updateScanCount(Long id);

	Integer findStudentCountByBatch(Long batchId);

}
